OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.FragmentLighting

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXFragmentLighting :: MonadIO m => m Bool
- gl_SGIX_fragment_lighting :: Bool
- pattern GL_CURRENT_RASTER_NORMAL_SGIX :: GLenum
- pattern GL_FRAGMENT_COLOR_MATERIAL_FACE_SGIX :: GLenum
- pattern GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_SGIX :: GLenum
- pattern GL_FRAGMENT_COLOR_MATERIAL_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT0_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT1_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT2_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT3_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT4_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT5_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT6_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT7_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHTING_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX :: GLenum
- pattern GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX :: GLenum
- pattern GL_LIGHT_ENV_MODE_SGIX :: GLenum
- pattern GL_MAX_ACTIVE_LIGHTS_SGIX :: GLenum
- pattern GL_MAX_FRAGMENT_LIGHTS_SGIX :: GLenum
- glFragmentColorMaterialSGIX :: MonadIO m => GLenum -> GLenum -> m ()
- glFragmentLightModelfSGIX :: MonadIO m => GLenum -> GLfloat -> m ()
- glFragmentLightModelfvSGIX :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glFragmentLightModeliSGIX :: MonadIO m => GLenum -> GLint -> m ()
- glFragmentLightModelivSGIX :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glFragmentLightfSGIX :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glFragmentLightfvSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glFragmentLightiSGIX :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glFragmentLightivSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glFragmentMaterialfSGIX :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glFragmentMaterialfvSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glFragmentMaterialiSGIX :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glFragmentMaterialivSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetFragmentLightfvSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetFragmentLightivSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetFragmentMaterialfvSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetFragmentMaterialivSGIX :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glLightEnviSGIX :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetSGIXFragmentLighting :: MonadIO m => m Bool Source #

Is the SGIX_fragment_lighting extension supported?

gl_SGIX_fragment_lighting :: Bool Source #

Is the SGIX_fragment_lighting extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXFragmentLighting` in those cases instead.

# Enums

pattern GL_CURRENT_RASTER_NORMAL_SGIX :: GLenum Source #

pattern GL_FRAGMENT_COLOR_MATERIAL_FACE_SGIX :: GLenum Source #

pattern GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_SGIX :: GLenum Source #

pattern GL_FRAGMENT_COLOR_MATERIAL_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT0_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT1_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT2_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT3_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT4_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT5_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT6_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT7_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHTING_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX :: GLenum Source #

pattern GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX :: GLenum Source #

pattern GL_LIGHT_ENV_MODE_SGIX :: GLenum Source #

pattern GL_MAX_ACTIVE_LIGHTS_SGIX :: GLenum Source #

pattern GL_MAX_FRAGMENT_LIGHTS_SGIX :: GLenum Source #

# Functions

glFragmentColorMaterialSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type MaterialParameter.
-> m () |

glFragmentLightModelfSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FragmentLightModelParameterSGIX.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

glFragmentLightModelfvSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FragmentLightModelParameterSGIX.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glFragmentLightModeliSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FragmentLightModelParameterSGIX.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

glFragmentLightModelivSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FragmentLightModelParameterSGIX.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glFragmentLightfSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type FragmentLightNameSGIX.
-> GLenum | `pname` of type FragmentLightParameterSGIX.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

glFragmentLightfvSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type FragmentLightNameSGIX.
-> GLenum | `pname` of type FragmentLightParameterSGIX.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glFragmentLightiSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type FragmentLightNameSGIX.
-> GLenum | `pname` of type FragmentLightParameterSGIX.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

glFragmentLightivSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type FragmentLightNameSGIX.
-> GLenum | `pname` of type FragmentLightParameterSGIX.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glFragmentMaterialfSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

glFragmentMaterialfvSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glFragmentMaterialiSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

glFragmentMaterialivSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

glGetFragmentLightfvSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type FragmentLightNameSGIX.
-> GLenum | `pname` of type FragmentLightParameterSGIX.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetFragmentLightivSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type FragmentLightNameSGIX.
-> GLenum | `pname` of type FragmentLightParameterSGIX.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetFragmentMaterialfvSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetFragmentMaterialivSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glLightEnviSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightEnvParameterSGIX.
-> GLint | `param` of type `CheckedInt32`.
-> m () |